Skip to content

# Interface: KubernetesClusterMetadata

Common.Catalog.KubernetesClusterMetadata

## Hierarchy

- CatalogEntityMetadata

↳ KubernetesClusterMetadata

## Table of contents

### Properties

- description
- distro
- kubeVersion
- labels
- name
- source
- uid

## Properties

### description

• `Optional` description: `string`

#### Inherited from

CatalogEntityMetadata.description

### distro

• `Optional` distro: `string`

### kubeVersion

• `Optional` kubeVersion: `string`

### labels

• labels: `Record`<string, string>

#### Inherited from

CatalogEntityMetadata.labels

### name

• name: `string`

#### Inherited from

CatalogEntityMetadata.name

### source

• `Optional` source: `string`

#### Inherited from

CatalogEntityMetadata.source

### uid

• uid: `string`

#### Inherited from

CatalogEntityMetadata.uid